/*	******************************************************************************************************************************************	*/
/*																																				*/
/*		Options de la log et paramtres du projet																								*/
/*																																				*/
/*	******************************************************************************************************************************************	*/

*	******************************************************************************************************************************************	;
*	Options de la log																															;
*	******************************************************************************************************************************************	;

option nodate nonumber notes nosymbolgen ;
ods graphics on ;

option fmtsearch = (work library formats) nofmterr ;

*	******************************************************************************************************************************************	;
*	Dfinition des paramtres 																													;
*	******************************************************************************************************************************************	;

* Anne pour laquelle l indicateur est calcul;
%let annee_N = 2017;
%let an_N = %sysevalf(&annee_N. - 2000);

* Dfinitions des annes N-4, N-2, N-1 et N+1 pour les recerches dans le DCIR et le PMSI;
%let annee_4N = %sysevalf(&annee_N. - 4);
%let annee_2N = %sysevalf(&annee_N. - 2);
%let annee_1N = %sysevalf(&annee_N. - 1);
%let annee_N1 = %sysevalf(&annee_N. + 1);

* Dernire version de la carto disponible;
%let version_carto = G6;

* Exclusion des cls de chainage incorrects;
* Peuvent tre modifies  chaque nouvelle pseudonymisation;
%let cle_inc1 = xxxxxxxxxxxxxxxxx;
%let cle_inc2 = BXXXXXXXXXXXXXXXX;

*	******************************************************************************************************************************************	;
*	Dfinition des librairies 																													;
*	******************************************************************************************************************************************	;

* Librairie contenant les tables de travail;
libname travail "/sasdata/prd/repbpcoh/data/Bases/travail";

* Librairie contenant les tables de populations;
libname pop "/sasdata/prd/repbpcoh/data/Bases/population";

* Librairie contenant les tables de rsultats;
libname res "/sasdata/prd/repbpcoh/data/Bases/resultats";

* Librairie contenant les tables pour raliser le flowchart;
libname flowch "/sasdata/prd/repbpcoh/data/Bases/flowchart";

* Librairie contenant les formats;
libname formats "/sasdata/prd/repbpcoh/data/Bases/formats";

* Librairie contenant les tables de vrifications;
libname verif "/sasdata/prd/repbpcoh/data/Bases/verifications";
